Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class JCheckBoxOperator

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.Operator
            |
            +--org.netbeans.jemmy.operators.ComponentOperator
                  |
                  +--org.netbeans.jemmy.operators.ContainerOperator
                        |
                        +--org.netbeans.jemmy.operators.JComponentOperator
                              |
                              +--org.netbeans.jemmy.operators.AbstractButtonOperator
                                    |
                                    +--org.netbeans.jemmy.operators.JToggleButtonOperator
                                          |
                                          +--org.netbeans.jemmy.operators.JCheckBoxOperator

All Implemented Interfaces:
  Outputable, Timeoutable

public class JCheckBoxOperator
extends JToggleButtonOperator

Timeouts used:
AbstractButtonOperator.PushButtonTimeout - time between button pressing and releasing
ComponentOperator.WaitComponentTimeout - time to wait button displayed
ComponentOperator.WaitComponentEnabledTimeout - time to wait button enabled
.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  `Timeouts`

Inner Class Summary
`static class` | `JCheckBoxOperator.JCheckBoxFinder` Checks component type.

Inner classes inherited from class org.netbeans.jemmy.operators.JToggleButtonOperator
`JToggleButtonOperator.JToggleButtonFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.AbstractButtonOperator
`AbstractButtonOperator.AbstractButtonByLabelFinder, AbstractButtonOperator.AbstractButtonFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.JComponentOperator
`JComponentOperator.JComponentByTipFinder, JComponentOperator.JComponentFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.ContainerOperator
`ContainerOperator.ContainerFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.Operator
`Operator.ComponentVisualizer, Operator.DefaultPathParser, Operator.DefaultStringComparator, Operator.Finder, Operator.MapAction, Operator.MapBooleanAction, Operator.MapByteAction, Operator.MapCharacterAction, Operator.MapDoubleAction, Operator.MapFloatAction, Operator.MapIntegerAction, Operator.MapLongAction, Operator.MapVoidAction, Operator.NoBlockingAction, Operator.PathParser, Operator.StringComparator`

Fields inherited from class org.netbeans.jemmy.operators.AbstractButtonOperator
`IS_SELECTED_DPROP, TEXT_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.JComponentOperator
`TOOLTIP_TEXT_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.ComponentOperator
`HEIGHT_DPROP, IS_SHOWING_DPROP, IS_VISIBLE_DPROP, WIDTH_DPROP, X_DPROP, Y_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.Operator
`CLASS_DPROP, TO_STRING_DPROP`

Constructor Summary
`JCheckBoxOperator(ContainerOperator cont)` Constructor.
`JCheckBoxOperator(ContainerOperator cont, ComponentChooser chooser)` Constructs a JCheckBoxOperator object.
`JCheckBoxOperator(ContainerOperator cont, ComponentChooser chooser, int index)` Constructs a JCheckBoxOperator object.
`JCheckBoxOperator(ContainerOperator cont, int index)` Constructor.
`JCheckBoxOperator(ContainerOperator cont, java.lang.String text)` Constructor.
`JCheckBoxOperator(ContainerOperator cont, java.lang.String text, int index)` Constructor.
`JCheckBoxOperator(javax.swing.JCheckBox b)` Constructor.

Method Summary
`static javax.swing.JCheckBox` | `findJCheckBox(java.awt.Container cont, ComponentChooser chooser)` Searches 0'th JCheckBox in container.
`static javax.swing.JCheckBox` | `findJCheckBox(java.awt.Container cont, ComponentChooser chooser, int index)` Searches JCheckBox in container.
`static javax.swing.JCheckBox` | `findJCheckBox(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs)` Searches JCheckBox by text.
`static javax.swing.JCheckBox` | `findJCheckBox(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs, int index)` Searches JCheckBox by text.
`static javax.swing.JCheckBox` | `waitJCheckBox(java.awt.Container cont, ComponentChooser chooser)` Waits 0'th JCheckBox in container.
`static javax.swing.JCheckBox` | `waitJCheckBox(java.awt.Container cont, ComponentChooser chooser, int index)` Waits JCheckBox in container.
`static javax.swing.JCheckBox` | `waitJCheckBox(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs)` Waits JCheckBox by text.
`static javax.swing.JCheckBox` | `waitJCheckBox(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs, int index)` Waits JCheckBox by text.

Methods inherited from class org.netbeans.jemmy.operators.JToggleButtonOperator
`findJToggleButton, findJToggleButton, findJToggleButton, findJToggleButton, prepareToClick, waitJToggleButton, waitJToggleButton, waitJToggleButton, waitJToggleButton`

Methods inherited from class org.netbeans.jemmy.operators.AbstractButtonOperator
`addActionListener, addChangeListener, addItemListener, changeSelection, changeSelectionNoBlock, copyEnvironment, doClick, doClick, findAbstractButton, findAbstractButton, findAbstractButton, findAbstractButton, getActionCommand, getDisabledIcon, getDisabledSelectedIcon, getDump, getHorizontalAlignment, getHorizontalTextPosition, getIcon, getMargin, getMnemonic, getModel, getOutput, getPressedIcon, getRolloverIcon, getRolloverSelectedIcon, getSelectedIcon, getSelectedObjects, getText, getTimeouts, getUI, getVerticalAlignment, getVerticalTextPosition, isBorderPainted, isContentAreaFilled, isFocusPainted, isRolloverEnabled, isSelected, press, push, pushNoBlock, release, removeActionListener, removeChangeListener, removeItemListener, setActionCommand, setBorderPainted, setContentAreaFilled, setDisabledIcon, setDisabledSelectedIcon, setFocusPainted, setHorizontalAlignment, setHorizontalTextPosition, setIcon, setMargin, setMnemonic, setMnemonic, setModel, setOutput, setPressedIcon, setRolloverEnabled, setRolloverIcon, setRolloverSelectedIcon, setSelected, setSelectedIcon, setText, setTimeouts, setUI, setVerticalAlignment, setVerticalTextPosition, waitAbstractButton, waitAbstractButton, waitAbstractButton, waitAbstractButton, waitSelected, waitText`

Methods inherited from class org.netbeans.jemmy.operators.JComponentOperator
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, createToolTip, findJComponent, findJComponent, findJComponent, findJComponent, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getActionForKeyStroke, getAutoscrolls, getBorder, getCenterXForClick, getCenterYForClick, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getInsets, getNextFocusableComponent, getRegisteredKeyStrokes, getRootPane, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getUIClassID, getVisibleRect, getWindowContainerOperator, grabFocus, isFocusCycleRoot, isManagingFocus, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, requestDefaultFocus, resetKeyboardActions, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, showToolTip, unregisterKeyboardAction, updateUI, waitJComponent, waitJComponent, waitJComponent, waitJComponent, waitToolTip`

Methods inherited from class org.netbeans.jemmy.operators.ContainerOperator
`add, add, add, add, add, addContainerListener, createSubOperator, createSubOperator, findComponentAt, findComponentAt, findContainer, findContainer, findContainer, findContainer, findContainerUnder, findContainerUnder, findSubComponent, findSubComponent, getComponent, getComponentCount, getComponents, getInsets, getLayout, isAncestorOf, paintComponents, printComponents, remove, remove, removeAll, removeContainerListener, setLayout, waitContainer, waitContainer, waitContainer, waitContainer, waitSubComponent, waitSubComponent`

Methods inherited from class org.netbeans.jemmy.operators.ComponentOperator
`activateWindow, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, checkImage, checkImage, clickForPopup, clickForPopup, clickForPopup, clickForPopup, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, contains, contains, createImage, createImage, dispatchEvent, doLayout, dragMouse, dragMouse, dragMouse, dragNDrop, dragNDrop, dragNDrop, enableInputMethods, enterMouse, exitMouse, findComponent, findComponent, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getCenterX, getCenterY, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getContainer, getContainers, getCursor, getDropTarget, getEventDispatcher, getFocus, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPreferredSize, getSize, getSize, getSource, getToolkit, getTreeLock, getWidth, getWindow, getX, getY, hasFocus, imageUpdate, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, list, list, list, list, list, makeComponentVisible, moveMouse, paint, paintAll, prepareImage, prepareImage, pressKey, pressKey, pressMouse, pressMouse, print, printAll, pushKey, pushKey, releaseKey, releaseKey, releaseMouse, releaseMouse, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, transferFocus, typeKey, typeKey, typeKey, update, validate, waitComponent, waitComponent, waitComponent, waitComponent, waitComponentEnabled, waitComponentShowing, waitComponentVisible, waitHasFocus`

Methods inherited from class org.netbeans.jemmy.operators.Operator
`addOperatorPackage, addToDump, addToDump, createOperator, getCharBindingMap, getCharKey, getCharModifiers, getCharsKeys, getCharsKeys, getCharsModifiers, getCharsModifiers, getComparator, getDefaultComponentVisualizer, getDefaultMouseButton, getDefaultPathParser, getDefaultStringComparator, getDefaultVerification, getEnvironmentOperator, getParentPath, getPathParser, getPopupMouseButton, getProperties, getQueueTool, getVerification, getVisualizer, isCaptionEqual, isCaptionEqual, isCaptionEqual, lockQueue, parseString, parseString, printDump, produceNoBlocking, produceNoBlocking, produceTimeRestricted, produceTimeRestricted, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, setCharBindingMap, setComparator, setDefaultComponentVisualizer, setDefaultPathParser, setDefaultStringComparator, setDefaultVerification, setPathParser, setProperties, setVerification, setVisualizer, unlockAndThrow, unlockQueue, waitState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCheckBoxOperator

    public JCheckBoxOperator(javax.swing.JCheckBox b)

  Constructor.
  Parameters:
    `b` - a component

### JCheckBoxOperator

    public JCheckBoxOperator(ContainerOperator cont,
                             ComponentChooser chooser,
                             int index)

  Constructs a JCheckBoxOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.

### JCheckBoxOperator

    public JCheckBoxOperator(ContainerOperator cont,
                             ComponentChooser chooser)

  Constructs a JCheckBoxOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.

### JCheckBoxOperator

    public JCheckBoxOperator(ContainerOperator cont,
                             java.lang.String text,
                             int index)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `text` - Button text.
    `index` - Ordinal component index.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### JCheckBoxOperator

    public JCheckBoxOperator(ContainerOperator cont,
                             java.lang.String text)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `text` - Button text.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### JCheckBoxOperator

    public JCheckBoxOperator(ContainerOperator cont,
                             int index)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `index` - Ordinal component index.
  Throws:
    `TimeoutExpiredException` -

### JCheckBoxOperator

    public JCheckBoxOperator(ContainerOperator cont)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
  Throws:
    `TimeoutExpiredException` -

Method Detail

### findJCheckBox

    public static javax.swing.JCheckBox findJCheckBox(java.awt.Container cont,
                                                      ComponentChooser chooser,
                                                      int index)

  Searches JCheckBox in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    JCheckBox instance or null if component was not found.

### findJCheckBox

    public static javax.swing.JCheckBox findJCheckBox(java.awt.Container cont,
                                                      ComponentChooser chooser)

  Searches 0'th JCheckBox in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JCheckBox instance or null if component was not found.

### findJCheckBox

    public static javax.swing.JCheckBox findJCheckBox(java.awt.Container cont,
                                                      java.lang.String text,
                                                      boolean ce,
                                                      boolean ccs,
                                                      int index)

  Searches JCheckBox by text.
  Parameters:
    `cont` - Container to search component in.
    `text` - Button text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `index` - Ordinal component index.
  Returns:
    JCheckBox instance or null if component was not found.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### findJCheckBox

    public static javax.swing.JCheckBox findJCheckBox(java.awt.Container cont,
                                                      java.lang.String text,
                                                      boolean ce,
                                                      boolean ccs)

  Searches JCheckBox by text.
  Parameters:
    `cont` - Container to search component in.
    `text` - Button text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
  Returns:
    JCheckBox instance or null if component was not found.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### waitJCheckBox

    public static javax.swing.JCheckBox waitJCheckBox(java.awt.Container cont,
                                                      ComponentChooser chooser,
                                                      int index)

  Waits JCheckBox in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    JCheckBox instance.
  Throws:
    `TimeoutExpiredException` -

### waitJCheckBox

    public static javax.swing.JCheckBox waitJCheckBox(java.awt.Container cont,
                                                      ComponentChooser chooser)

  Waits 0'th JCheckBox in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JCheckBox instance.
  Throws:
    `TimeoutExpiredException` -

### waitJCheckBox

    public static javax.swing.JCheckBox waitJCheckBox(java.awt.Container cont,
                                                      java.lang.String text,
                                                      boolean ce,
                                                      boolean ccs,
                                                      int index)

  Waits JCheckBox by text.
  Parameters:
    `cont` - Container to search component in.
    `text` - Button text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `index` - Ordinal component index.
  Returns:
    JCheckBox instance.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### waitJCheckBox

    public static javax.swing.JCheckBox waitJCheckBox(java.awt.Container cont,
                                                      java.lang.String text,
                                                      boolean ce,
                                                      boolean ccs)

  Waits JCheckBox by text.
  Parameters:
    `cont` - Container to search component in.
    `text` - Button text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
  Returns:
    JCheckBox instance.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD